Flow Logs - Delete

Deletes the specified flow log resource.

DELETE https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/networkWatchers/{networkWatcherName}/flowLogs/{flowLogName}?api-version=2021-08-01

URI Parameters

Name In Required Type Description
flowLogName
path True
  • string

The name of the flow log resource.

networkWatcherName
path True
  • string

The name of the network watcher.

resourceGroupName
path True
  • string

The name of the resource group.

subscriptionId
path True
  • string

The subscription credentials which uniquely identify the Microsoft Azure subscription. The subscription ID forms part of the URI for every service call.

api-version
query True
  • string

Client API version.

Responses

Name Type Description
202 Accepted

Accepted and the operation will complete asynchronously.

204 No Content

Delete successful.

Other Status Codes

Error response describing why the operation failed.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Delete flow log

Sample Request

DELETE https://management.azure.com/subscriptions/subid/resourceGroups/rg1/providers/Microsoft.Network/networkWatchers/nw1/flowLogs/fl?api-version=2021-08-01

Sample Response

Definitions

ErrorDetails

Common error details representation.

ErrorResponse

The error object.

ErrorDetails

Common error details representation.

Name Type Description
code
  • string

Error code.

message
  • string

Error message.

target
  • string

Error target.

ErrorResponse

The error object.

Name Type Description
error

Error
The error details object.